## fluidsynth 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: fluidsynth
 Type: Package
 Title: Read and Play Digital Music (MIDI)
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
       comment = c(ORCID = "0000-0002-4035-0289")),
@@ -22,9 +22,9 @@
         https://ropensci.r-universe.dev/fluidsynth
 BugReports: https://github.com/ropensci/fluidsynth/issues
 NeedsCompilation: yes
-Packaged: 2024-02-19 23:14:30 UTC; jeroen
+Packaged: 2024-08-16 14:10:04 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>),
   S. Christian Collins [cph] (author of generaluser-gs soundbank)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2024-02-21 15:40:02 UTC
+Date/Publication: 2024-08-16 14:30:02 UTC
