=== debian/changelog ===
fluidsynth (1.1.2-2) experimental; urgency=low

  * Build-dep and dep on libjack-jackd2-dev (Closes: #597265).
  * Disable DBus support on kfreebsd-* archs to avoid it FTBFS (Closes:
    #597977).

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Sep 2010 11:18:56 +0200

fluidsynth (1.1.2-1) experimental; urgency=low

  * New upstream release:
    - New CMake build system.
      + Winbuild and Macbuild directories dropped.
      + Autotools build system is deprecated, but is still working. 
    - Rewriting of thread safety.
      + Two new settings control the thread safety mode.
        The default is to be backwards compatible. 
    - Voice overflow settings.
    - Possible to update polyphony, up to 65536 (and beyond initial setting).
    - Possible to update sample rate (jack driver updates sample rate
      correctly).
    - MIDI Bank Select handling fixed.
    - Source files moved into different subdirectories.
    - Can use RealTimeKit (on Linux) to get real-time priority.
    - Shell commands for pitch bend and pitch bend range.
    - PulseAudio driver: specify media role, and allow pulseaudio to adjust
      latency.
    - Other bug fixes. 
  * Change my email address.
  * Remove DM-Upload-Allowed: yes field.
  * Update Homepage field.
  * Bump Standards.
  * Update watch file.
  * Switch to format 3.0 (quilt).
  * Add debian/gbp.conf file.
  * Drop pulse-adjust-latency.patch patch, applied upstream.
  * Remove quilt build-dependency.
  * Static libraries are no longer provided.
  * Switch to cmake buildsystem, drop autotools stuff.
  * Adjust override_dh_auto_configure target to match cmake variables.
  * Really enable LADSPA support, patch taken from upstream's trunk.
  * Update debian/copyright file.
  * Set architecture of -DEV package to all.	

 -- Alessio Treglia <alessio@debian.org>  Tue, 14 Sep 2010 16:25:10 +0200

fluidsynth (1.1.1-4) unstable; urgency=low

  * Remove debian/README.Debian, no longer useful.
  * Disable ALSA support on kfreebsd-* architectures (Closes: #579914).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 02 May 2010 16:38:57 +0200

fluidsynth (1.1.1-3) unstable; urgency=low

  [ David Henningsson ]
  * Allow pulseaudio to adjust latency by default.

  [ Alessio Treglia ]
  * Remove unneeded .la file.
  * Bump Standards-Version.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 22 Mar 2010 18:41:22 +0100

fluidsynth (1.1.1-2) unstable; urgency=low

  * Fix libfluidsynth-dev uninstallable state by adjusting libglib2.0-dev
    dependency.
  * Switch to debhelper 7.
  * Drop CDBS.
  * Bump quilt build-dependency.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 09 Jan 2010 13:58:45 +0100

fluidsynth (1.1.1-1) unstable; urgency=low

  [ David Henningsson ]
  * New upstream release
  * All code changes dropped (fixed upstream)
  * Update build system: debhelper 7, cdbs and quilt
  * New maintainer: Debian Multimedia Maintainers team 
  * Bump Standards-Version to 3.8.3, no changes required
  * Remove optional dependency on libreadline5-dev (Closes: #553756)
  * Remove obsolete DFSG paragraph

  [ Alessio Treglia ]
  * Add myself as uploader.
  * Allow uploads by Debian Maintainers.
  * Lines should be shorter than 80 chars.
  * Add Vcs-* tags.
  * Enable LADSPA effect unit.
  * Fix copyright-refers-to-symlink-license lintian warning.

 -- David Henningsson <diwic@ubuntu.com>  Sun, 13 Dec 2009 11:43:00 +0100

fluidsynth (1.0.9+dfsg-2) unstable; urgency=low

  * Enable pulseaudio support (Closes: #531579)
  * Run commands after midi router is created (Closes: #528701)

 -- David Henningsson <launchpad.web@epost.diwic.se>  Mon, 18 Jun 2009 19:05:39 +0200

fluidsynth (1.0.9+dfsg-1.1) unstable; urgency=low

  * NMU to fix wrongly set maintainer in previous version
  * New maintainer (Closes: #503528)

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 May 2009 14:24:22 +0200

fluidsynth (1.0.9+dfsg-1) unstable; urgency=low

  [ Ralf Treinen ]
  * QA upload (sponsoring David Henningsson).
  
  [ David Henningsson <launchpad.web@epost.diwic.se> ]
  * New upstream release (Closes: #524066)
  * Remove non-DFSG soundfonts and documentation (Closes: #524566)
  * Depend on libjack-dev instead of libjack0.100.0-dev (Closes: #527410)
  * Optionally depend on lash instead of ladcca
  * Rewrite debian/copyright file, now it includes exact copyright notices
  * Fix build problem with new libtool (moved ltmain.sh) (Closes: #527832)
  * Erase autotools files in debian/rules to avoid large diff.gz
  * Remove unused debian/manpages file
  * Keep upstream's config.{sub,guess}, since they're recent enough
  * Bump Standards-Version to 3.8.1, no changes required

 -- Ralf Treinen <treinen@debian.org>  Thu, 21 May 2009 10:22:08 +0200

fluidsynth (1.0.8-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Remove Uploaders field.
  * Remove Vcs fields - repository contains only an initial svn-inject.
  * Bump Standards-Version to 3.8.0 - no changes required.
  * Remove DH_COMPAT=3 from rules and add a compat file for version 5.
  * Depend on unversioned debhelper.
  * Replace ${Source-Version} with ${binary:Version} on fluidsynth-dev.
  * Don't ignore make clean errors.
  * Convert copyright file to utf-8.
  * Remove unused dh_ calls from rules.
  * Remove empty postinst scripts.
  * Remove the autotools target from rules. Automatic modification of the
    changelog are discouraged and it's not doing something useful here anyway.
  * Depend on the default automake instead of automake1.4.
  * Enable autoreconf in the configure target and remove ltconfig. 
  * Remove a file '?' from the diff - seems to be an error from some former
    upload and shouldn't be there.
  * Modify fluidsynth manpage so that it's a section 1 manpage.
  * Add a missing space in fluidsynth.1.
  * Escape some hyphens in fluidsynth.1 so that groff interprets them as minus.
  * ACK NMU from Peter Eisentraut (Closes: #478380).
  

