## fluidsynth 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # FluidSynth package version
 set ( FLUIDSYNTH_VERSION_MAJOR 1 )
 set ( FLUIDSYNTH_VERSION_MINOR 1 )
-set ( FLUIDSYNTH_VERSION_MICRO 2 )
+set ( FLUIDSYNTH_VERSION_MICRO 3 )
 set ( VERSION "${FLUIDSYNTH_VERSION_MAJOR}.${FLUIDSYNTH_VERSION_MINOR}.${FLUIDSYNTH_VERSION_MICRO}" )      
 set ( FLUIDSYNTH_VERSION "\"${VERSION}\"" )
 
@@ -44,7 +44,7 @@
 # This is not exactly the same algorithm as the libtool one, but the results are the same.
 set ( LT_VERSION_CURRENT 1 )
 set ( LT_VERSION_AGE 4 )
-set ( LT_VERSION_REVISION 0 )
+set ( LT_VERSION_REVISION 1 )
 set ( LT_VERSION_INFO "${LT_VERSION_CURRENT}.${LT_VERSION_AGE}.${LT_VERSION_REVISION}" )
 
 # Options disabled by default
@@ -184,6 +184,7 @@
 set ( DARWIN ) 
 if ( ${CMAKE_SYSTEM} MATCHES "Darwin" )
   set ( DARWIN 1 )
+  set ( CMAKE_INSTALL_NAME_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX} )
   if ( enable-coreaudio )
     check_include_file ( CoreAudio/AudioHardware.h COREAUDIO_FOUND )
     if ( COREAUDIO_FOUND )
@@ -215,6 +216,7 @@
 if ( enable-ladspa )
   check_include_file ( ladspa.h LADSPA_SUPPORT )
   if ( LADSPA_SUPPORT )
+    set ( LADSPA 1 )
     if ( CMAKE_DL_LIBS )
       set ( HAVE_LIBDL 1 )
       set ( LIBFLUID_LIBS "${LIBFLUID_LIBS};${CMAKE_DL_LIBS}" )
@@ -328,8 +330,3 @@
   pkg_check_modules ( LASH lash-1.0>=0.3 )
   if ( LASH_FOUND )
     set ( LASH_SUPPORT 1 )
-    add_definitions ( -DHAVE_LASH )
-  endif ( LASH_FOUND )
-endif ( enable-lash )
-
-set ( LADCCA_SUPPORT )
