=== debian/changelog ===
fluidsynth (1.1.3-4) unstable; urgency=low

  * Drop LASH support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 14:59:53 +0200

fluidsynth (1.1.3-3) unstable; urgency=low

  * Demote liblash-dev to
    libfluidsynth-dev's Suggests field (Closes: #611457).
  * Append -Wl,--as-needed flag to LDFLAGS.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Mar 2011 13:32:37 +0100

fluidsynth (1.1.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Feb 2011 00:12:25 +0100

fluidsynth (1.1.3-1) experimental; urgency=low

  * New upstream release:
    - Compilation with LADSPA enabled was broken in 1.1.2 - fixed.
    - Multichannel output broken when double precision was used - fixed.
    - Doxygen settings.
    - Mac OS X build system fixes.
    - Fix build problem with scummvm.
    - Optimize by not starting unused threads with multicore rendering.
    - Window handle creation/destruction in Windows dll version.
    - Race condition in alsa_seq / alsa_raw drivers caused them not to quit.
  * Remove patches, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Sat, 16 Oct 2010 12:27:50 +0200
