=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  cmake,
  libreadline-dev (>= 5),
  libjack-dev | libjack-jackd2-dev,
- liblash-dev | ladcca-dev,
  ladspa-sdk,
  libtool,
  libasound2-dev,
  libpulse-dev,
  libglib2.0-dev (>= 2.6.5),
  libsndfile-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.fluidsynth.org/
 Vcs-Git: git://git.debian.org/pkg-multimedia/fluidsynth.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/fluidsynth.git
@@ -55,7 +54,6 @@
  libfluidsynth1 (<< ${source:Upstream-Version}+1~),
  libreadline-dev (>= 5), 
  libncurses5-dev | libncurses-dev,
- liblash-dev | ladcca-dev,
  libasound2-dev, 
  libjack-dev | libjack-jackd2-dev,
  libpulse-dev,
