=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+LDFLAGS+=-Wl,--as-needed
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
 EXTRA_CONFIGURE_ARGS += -Denable-alsa=off -Denable-dbus=off
 endif
